"""Add the maintenance notification type.

Revision ID: 4b7ef0c7bdb2
Revises: bcdde200a1b
Create Date: 2014-06-27 19:09:56.387534

"""

# revision identifiers, used by Alembic.
revision = '4b7ef0c7bdb2'
down_revision = 'bcdde200a1b'

from alembic import op
import sqlalchemy as sa

def upgrade(tables):
    op.bulk_insert(tables.notificationkind,
    [
        {'id':4, 'name':'maintenance'},
    ])


def downgrade(tables):
    op.execute(
        (tables.notificationkind.delete()
            .where(tables.notificationkind.c.name == op.inline_literal('maintenance')))

    )
